cherokee-tweak(1)

NAME
cherokee-tweak - Command-line interface to the Cherokee administrative interface

SYNOPSIS
cherokee-tweak -c command -a url [options]

DESCRIPTION
cherokee-tweak connects to running cherokee instance, either local or remote, and requests it to perform one of several actions.

OPTIONS
cherokee-tweak accepts the following options:

-h, --help
    Shows brief usage information

-V, --version
    Prints version and exits

-u, --user= STRING
    Specifies the user name with which to identify to the server

-p, --password= STRING
    Specifies the password with which to identify to the server

-c, --command=STRING
    Required option. Command to execute: logrotate, trace or info

-a, --url=URL
    Required option. URL where the administration interface can be found. This target must be defined previously in cherokee-admin, enabling a "Remote Administration" type handler (Virtual Servers->Behaviour->Add new rule, and then Handler->"Remote Administration"). The deffinition of a security mechanism is highly encouraged.

-l, --log=PATH
    Log file to be rotated (Only to be used when -c is logrotate)

-t, --trace=STRING
    Modules to be traced (Only to be used when -c is trace). Cherokee must have been compiled with the --enable-trace for this to work. Everything traceable with CHEROKEE_TRACE can also be traced this way.

SEE ALSO
cherokee-admin(8)

This program is a part of the Cherokee web server, cherokee(1)

AUTHOR
This manual page was written by Gunnar Wolf <gwolf@debian.org>, for the Debian GNU/linux system (but may be used by others). Maintained by Taher Shihadeh <taher@unixwars.com>.

Cherokee itself was written by Álvaro López Ortega <alvaro@alobbs.com>.